"use strict";
this.name = "IR-juliet-leader.js";
this.author = "Ramirez";
this.copyright = "November 2010";
this.description = "Script for Task Force Juliet ships";
this.version = "2.0";

//-------------------------------------------------------------------------------------------------------------
this.shipSpawned = function() {	
	var sdf = system.shipsWithRole("IR-sdf-imperator")[0];
	worldScripts["IR-mfd.js"].$updateMFD("IR_juliet_sunray", null, this.ship, expandMissionText("IR_juliet_leader"));
	this.ship.target = sdf;
	this.ship.setAI("interceptAI.plist");
	// lock down docking
	this.ship.subEntities[0].allowsDocking = false;
	this.ship.subEntities[0].disallowedDockingCollides = true;
}